=== debian/changelog ===
sigil (1.6.0+dfsg-1) experimental; urgency=medium

  * New upstream version 1.6.0+dfsg.
    https://github.com/Sigil-Ebook/Sigil/releases/tag/1.6.0
  * Update copyright.
  * Add Recommends on python3-pyqtwebengine.
  * Build with the new flag -DDISABLE_UPDATECHECK=1 to prevent sigil
    from checking for updates online.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 30 May 2021 18:54:42 +0200

sigil (1.5.1+dfsg-1) experimental; urgency=medium

  * New upstream version 1.5.1+dfsg.
    https://github.com/Sigil-Ebook/Sigil/releases/tag/1.5.1
  * Update copyright.
  * Fixup watchfile match for the changed github URLs.
  * Build-Depend on dh-sequence-python3 and drop --with python3 from d/rules.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 17 Apr 2021 20:40:04 +0200
