=== debian/control ===
Source: sigil
Section: editors
Priority: optional
Maintainer: Mattia Rizzolo <mattia@debian.org>
Build-Depends:
 cmake (>= 3.0.0),
 debhelper-compat (= 13),
 dh-sequence-python3,
 libhunspell-dev,
 libjs-jquery,
 libjs-jquery-scrollto,
 libminizip-dev,
 libpcre3-dev (>= 2:8.35-4),
 pkg-config,
 python3-dev,
 qtbase5-dev (>= 5.9.4),
 qttools5-dev (>= 5.9.4),
 qttools5-dev-tools (>= 5.9.4),
 qtwebengine5-dev (>= 5.9.4),
 zlib1g-dev,
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: http://sigil-ebook.com
Vcs-Git: https://salsa.debian.org/debian/sigil.git
Vcs-Browser: https://salsa.debian.org/debian/sigil

Package: sigil
Architecture: any
Depends:
 libhunspell-dev,
 libjs-jquery-scrollto,
 libjs-mathjax (>= 2.7.0),
 python3-dulwich (>= 0.19),
 python3-lxml,
 sigil-data (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends:
 python3,
 python3-chardet,
 python3-css-parser,
 python3-cssselect,
 python3-cssutils,
 python3-html5lib,
 python3-pil,
 python3-pyqt5,
 python3-pyqtwebengine,
 python3-regex,
 python3-six,
Suggests:
 pageedit,
Description: multi-platform ebook editor
 Sigil is a free, open source, multi-platform ebook editor.
 It is designed to edit books in ePub format.
 .
 Features:
 .
  * Full UTF-16 support;
  * Full EPUB 2 spec support;
  * Multiple Views: Book View, Code View and Preview View;
  * WYSIWYG editing in Book View;
  * Complete control over directly editing EPUB syntax in Code View;
  * Table of Contents generator with multi-level heading support;
  * Metadata editor with full support for all possible metadata entries (more
    than 200) with full descriptions for each;
  * User interface translated into many languages;
  * Spell checking with default and user configurable dictionaries;
  * Full Regular Expression (PCRE) support for Find & Replace;
  * Supports import of EPUB and HTML files, images, and style sheets;
  * Files can be validated for EPUB compliance with the FlightCrew validator;
  * HTML Tidy: all imported files have their formatting corrected, and your
    editing can be optionally cleaned.

Package: sigil-data
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Recommends:
 sigil (= ${source:Version}),
Description: multi-platform ebook editor - data files
 Sigil is a free, open source, multi-platform ebook editor.
 It is designed to edit books in ePub format.
 .
 Features:
 .
  * Full UTF-16 support;
  * Full EPUB 2 spec support;
  * Multiple Views: Book View, Code View and Preview View;
  * WYSIWYG editing in Book View;
  * Complete control over directly editing EPUB syntax in Code View;
  * Table of Contents generator with multi-level heading support;
  * Metadata editor with full support for all possible metadata entries (more
    than 200) with full descriptions for each;
  * User interface translated into many languages;
  * Spell checking with default and user configurable dictionaries;
  * Full Regular Expression (PCRE) support for Find & Replace;
  * Supports import of EPUB and HTML files, images, and style sheets;
  * Files can be validated for EPUB compliance with the FlightCrew validator;
  * HTML Tidy: all imported files have their formatting corrected, and your
    editing can be optionally cleaned.
 .
 This package provides the architecture-independant files.
