## sigil 1.8.0%2Bdfsg

=== debian/changelog ===
sigil (1.8.0+dfsg-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 31 Oct 2021 17:24:00 +0100

sigil (1.8.0+dfsg-1) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * New upstream version 1.8.0+dfsg.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    * Build-Depends: Drop versioned constraint on cmake.
  * Use secure URI in Homepage field.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 25 Oct 2021 21:21:26 +0200

sigil (1.7.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable.
  * d/control: Bump Standards-Version to 4.6.0, no changes needed.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 21 Aug 2021 17:41:32 +0200

sigil (1.7.0+dfsg-1) experimental; urgency=medium

  * New upstream version 1.7.0+dfsg.
    https://github.com/Sigil-Ebook/Sigil/releases/tag/1.7.0
  * Fix the -DDISABLE_UPDATE_CHECK flag name.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 28 Jul 2021 14:46:13 +0200
