=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Mattia Rizzolo <mattia@debian.org>
 Build-Depends:
- cmake (>= 3.0.0),
+ cmake,
  debhelper-compat (= 13),
  dh-sequence-python3,
  libhunspell-dev,
@@ -18,9 +18,9 @@
  qttools5-dev-tools (>= 5.9.4),
  qtwebengine5-dev (>= 5.9.4),
  zlib1g-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
-Homepage: http://sigil-ebook.com
+Homepage: https://sigil-ebook.com
 Vcs-Git: https://salsa.debian.org/debian/sigil.git
 Vcs-Browser: https://salsa.debian.org/debian/sigil
