## sigil 1.9.2%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -10,13 +10,13 @@
  libjs-jquery,
  libjs-jquery-scrollto,
  libminizip-dev,
- libpcre3-dev (>= 2:8.35-4),
+ libpcre2-dev,
  pkg-config,
  python3-dev,
- qtbase5-dev (>= 5.9.4),
- qttools5-dev (>= 5.9.4),
- qttools5-dev-tools (>= 5.9.4),
- qtwebengine5-dev (>= 5.9.4),
+ qtbase5-dev,
+ qttools5-dev,
+ qttools5-dev-tools,
+ qtwebengine5-dev,
  zlib1g-dev,
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
@@ -29,8 +29,8 @@
 Depends:
  libhunspell-dev,
  libjs-jquery-scrollto,
- libjs-mathjax (>= 2.7.0),
- python3-dulwich (>= 0.19),
+ libjs-mathjax,
+ python3-dulwich,
  python3-lxml,
  sigil-data (= ${source:Version}),
  ${misc:Depends},
