=== debian/watch ===
version=4

opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\d+)?$//,\
pgpsigurlmangle=s|archive/(?:.*?/)([\d\.]+).tar\.gz|releases/download/$1/Sigil-$1.tar.gz.sig|,\
repacksuffix=+dfsg \
https://github.com/Sigil-Ebook/Sigil/releases (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@
