## sigil 1.9.2+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,6 +16,22 @@
 set( RECENT_CMAKE_VER "3.18.1" )
 if ( NOT DEFINED TRY_NEWER_FINDPYTHON3 )
     set ( TRY_NEWER_FINDPYTHON3 0 )
+endif()
+
+# Set Inno minimum Windows version 
+if ( NOT DEFINED BUILD_FOR_WIN7 )
+    # Windows 8.0
+    set( BUILD_FOR_WIN7 0 )
+    set ( WIN_MIN_VERSION 6.2.9200 )
+else()
+    # Windows 7sp1
+    set ( WIN_MIN_VERSION 6.1.7601 )
+endif()
+
+# Default to using Qt5 for builds
+# Enable Qt6 with -DUSEQT6=1 in cmake config command
+if ( NOT DEFINED USE_QT6 )
+    set( USE_QT6 0 )
 endif()
 
 if (${CMAKE_VERSION} VERSION_GREATER_EQUAL ${RECENT_CMAKE_VER} AND ${TRY_NEWER_FINDPYTHON3})
@@ -41,8 +57,8 @@
 set( CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake_extras" )
 
 set( SIGIL_MAJOR_VERSION 1 )
-set( SIGIL_MINOR_VERSION 6 )
-set( SIGIL_REVISION_VERSION 0 )
+set( SIGIL_MINOR_VERSION 9 )
+set( SIGIL_REVISION_VERSION 2 )
 set( SIGIL_FULL_VERSION ${SIGIL_MAJOR_VERSION}.${SIGIL_MINOR_VERSION}.${SIGIL_REVISION_VERSION} )
 
 if( UNIX AND NOT APPLE )
@@ -94,7 +110,7 @@
     find_package( MiniZip )
     pkg_check_modules( HUNSPELL hunspell )
     if ( NOT APPLE )
-        pkg_check_modules( PCRE libpcre16 )
+        pkg_check_modules( PCRE2 libpcre2-16 )
     endif()
 endif()
 
@@ -103,7 +119,7 @@
 if (${USE_NEWER_FINDPYTHON3})
     message(STATUS "Using newer findpython3 cmake module")
     if ( APPLE )
-        find_package(Python3 3.8 COMPONENTS Interpreter Development)
+        find_package(Python3 3.9 COMPONENTS Interpreter Development)
     endif()
     if ( WIN32 )
         find_package(Python3 3.5 COMPONENTS Interpreter Development)
@@ -114,8 +130,8 @@
 else()
     message(STATUS "Using older findpython cmake module")
     if ( APPLE )
-        find_package(PythonInterp 3.8)
-        find_package (PythonLibs 3.8)
+        find_package(PythonInterp 3.9)
+        find_package (PythonLibs 3.9)
     endif()
     if ( WIN32 )
         find_package(PythonInterp 3.5)
