=== src/CMakeLists.txt ===
--- 
+++ 
@@ -7,9 +7,6 @@
 #
 #########################################################
 
-cmake_minimum_required( VERSION 3.0.0 )
-
-#############################################################################
 
 # Print a message and fail for people who don't
 # read the build instructions and then complain
@@ -22,62 +19,7 @@
                          "You will probably now need to first clean your build directory." )
 endif()
 
-#############################################################################
-
-# We use the lower case name
-# on UNIX systems other than Mac OS X
-if ( WIN32 OR APPLE )
-    project( Sigil )
-else()
-    project( sigil )
-endif()
-
-#############################################################################
-
-if (NOT MSVC)
-    include(CheckCXXCompilerFlag)
-    CHECK_CXX_COMPILER_FLAG("-std=c++11" COMPILER_SUPPORTS_CXX11)
-    CHECK_CXX_COMPILER_FLAG("-std=c++0x" COMPILER_SUPPORTS_CXX0X)
-    if(COMPILER_SUPPORTS_CXX11)
-        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
-    elseif(COMPILER_SUPPORTS_CXX0X)
-        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
-        # Give gcc compilers that fall through the cracks a shot.
-        if(CMAKE_COMPILER_IS_GNUCXX AND CMAKE_CXX_COMPILER_VERSION VERSION_LESS 4.8)
-            set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fpermissive")
-            message("-- fpermissive CXX flag being used for gcc ${CMAKE_CXX_COMPILER_VERSION}")
-        endif()
-    else()
-        message(FATAL_ERROR "The compiler ${CMAKE_CXX_COMPILER} has no C++11 support. Please use a different C++ compiler.")
-    endif()
-endif()
-
-#############################################################################
-
-# quiet Qt 5.15 deprecat4ed warnings for now as we must support Qt 5.12.X and even earlier
-add_definitions(-DQT_NO_DEPRECATED_WARNINGS)
-
-if( UNIX AND NOT APPLE )
-    # Qt5 packages minimum version 5.9 for Linux
-    set(QT5_NEEDED 5.9)
-else()
-    # Qt5 packages minimum version 5.12 for Mac/Windows
-    set(QT5_NEEDED 5.12)
-endif()
-
-set( PKGS_TO_FIND Core Network WebEngine WebEngineWidgets Widgets Xml Concurrent PrintSupport LinguistTools )
-if ( WIN32 )
-    list( APPEND PKGS_TO_FIND WinExtras )
-    if ( USE_ALT_ICONS )
-        set(APP_ICON_PATH "${CMAKE_SOURCE_DIR}/src/Resource_Files/icon/app_icons_alt/app.ico" )
-    else()
-        set(APP_ICON_PATH "${CMAKE_SOURCE_DIR}/src/Resource_Files/icon/app_icons_orig/app.ico" )
-    endif()
-endif()
-find_package( Qt5 ${QT5_NEEDED} COMPONENTS ${PKGS_TO_FIND} )
-
-set(CMAKE_AUTOMOC ON)
-
+# Source File Group Definitions
 set( MAIN_FILES
     sigil_constants.h
     sigil_constants.cpp
@@ -125,8 +67,6 @@
     ResourceObjects/SVGResource.h
     ResourceObjects/FontResource.cpp
     ResourceObjects/FontResource.h
-    ResourceObjects/OPFParser.cpp
-    ResourceObjects/OPFParser.h
     ResourceObjects/OPFResource.cpp
     ResourceObjects/OPFResource.h
     ResourceObjects/NavProcessor.cpp
@@ -185,6 +125,12 @@
     Dialogs/SelectIndexTitle.h
     Dialogs/SelectFiles.cpp
     Dialogs/SelectFiles.h
+    Dialogs/AddAutomateTool.cpp
+    Dialogs/AddAutomateTool.h
+    Dialogs/AddAutomatePlugin.cpp
+    Dialogs/AddAutomatePlugin.h
+    Dialogs/AutomateEditor.cpp
+    Dialogs/AutomateEditor.h
     Dialogs/MetaEditor.cpp
     Dialogs/MetaEditor.h
     Dialogs/TreeItem.cpp
@@ -237,6 +183,8 @@
     Dialogs/ReportsWidgets/ReportsWidget.h
     Dialogs/LinkStylesheets.cpp
     Dialogs/LinkStylesheets.h
+    Dialogs/LinkJavascripts.cpp
+    Dialogs/LinkJavascripts.h
     Dialogs/SearchEditor.cpp
     Dialogs/SearchEditor.h
     Dialogs/Controls.cpp
@@ -322,6 +270,8 @@
 set( PARSERS_FILES
     Parsers/CSSInfo.cpp
     Parsers/CSSInfo.h
+    Parsers/CSSToolbox.cpp
+    Parsers/CSSToolbox.h
     Parsers/HTMLStyleInfo.cpp
     Parsers/HTMLStyleInfo.h
     Parsers/qCSSParser.cpp
@@ -338,6 +288,8 @@
     Parsers/QuickParser.h
     Parsers/TagLister.cpp
     Parsers/TagLister.h
+    Parsers/OPFParser.cpp
+    Parsers/OPFParser.h
    )
 
 set( EMBEDPYTHON_FILES
@@ -386,3 +338,73 @@
     Misc/Plugin.cpp
     Misc/Plugin.h
     Misc/PluginDB.cpp
+    Misc/PluginDB.h
+    Misc/QCodePage437Codec.cpp
+    Misc/QCodePage437Codec.h
+    Misc/SearchOperations.cpp
+    Misc/SearchOperations.h
+    Misc/SigilDarkStyle.cpp
+    Misc/SigilDarkStyle.h
+    Misc/Language.cpp
+    Misc/Language.h
+    Misc/DescriptiveInfo.h
+    Misc/GuideItems.h
+    Misc/GuideItems.cpp
+    Misc/Landmarks.h
+    Misc/Landmarks.cpp
+    Misc/MarcRelators.cpp
+    Misc/MarcRelators.h
+    Misc/UILanguage.cpp
+    Misc/UILanguage.h
+    Misc/SettingsStore.cpp
+    Misc/SettingsStore.h
+    Misc/SpellCheck.cpp
+    Misc/SpellCheck.h
+    Misc/KeyboardShortcut.cpp
+    Misc/KeyboardShortcut.h
+    Misc/KeyboardShortcut_p.h
+    Misc/KeyboardShortcutManager.cpp
+    Misc/KeyboardShortcutManager.h
+    Misc/XhtmlEntitiesDtd.cpp
+    Misc/Ncx20051Dtd.cpp
+    Misc/FontObfuscation.cpp
+    Misc/FontObfuscation.h
+    Misc/TempFolder.cpp
+    Misc/TempFolder.h
+    Misc/OpenExternally.cpp
+    Misc/OpenExternally.h
+    Misc/TOCHTMLWriter.cpp
+    Misc/TOCHTMLWriter.h
+    Misc/NumericItem.h
+    Misc/LocaleAwareItem.h
+    Misc/ValidationResult.h
+    Misc/ValidationResult.cpp
+    Misc/WrapIndicator.h
+    Misc/XMLEntities.cpp
+    Misc/XMLEntities.h
+    Misc/MediaTypes.cpp
+    Misc/MediaTypes.h
+    )
+
+set( MISC_EDITORS_FILES
+    MiscEditors/ClipEditorModel.cpp
+    MiscEditors/ClipEditorModel.h
+    MiscEditors/ClipEditorTreeView.cpp
+    MiscEditors/ClipEditorTreeView.h
+    MiscEditors/IndexEditorModel.cpp
+    MiscEditors/IndexEditorModel.h
+    MiscEditors/IndexEditorTreeView.cpp
+    MiscEditors/IndexEditorTreeView.h
+    MiscEditors/IndexEntries.cpp
+    MiscEditors/IndexEntries.h
+    MiscEditors/IndexHTMLWriter.cpp
+    MiscEditors/IndexHTMLWriter.h
+    MiscEditors/SearchEditorTreeView.cpp
+    MiscEditors/SearchEditorTreeView.h
+    MiscEditors/SearchEditorModel.cpp
+    MiscEditors/SearchEditorModel.h
+    )
+
+set( SPCRE_FILES
+    PCRE2/SPCRE.cpp
+    PCRE2/SPCRE.h
