=== debian/changelog ===
sigil (1.9.2+dfsg-1) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * New upstream version 1.9.2+dfsg.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster
    + Build-Depends: Drop versioned constraint on qtbase5-dev, qttools5-dev,
      qttools5-dev-tools and qtwebengine5-dev.
    + sigil/Depends: Drop versioned constraint on libjs-mathjax,python3-dulwich.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 12 Mar 2022 19:54:40 +0100

sigil (1.9.1+dfsg-1) unstable; urgency=medium

  * New upstream version 1.9.1+dfsg.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 07 Mar 2022 12:22:41 +0100

sigil (1.9.0+dfsg-1) unstable; urgency=medium

  * New upstream version 1.9.0+dfsg.
  * d/copyright: Update.
  * d/control: Build against libpcre2.  Closes: #999963

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 28 Feb 2022 12:54:52 +0100
