=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 	ln -svf /usr/share/javascript/jquery-scrollto/jquery.scrollTo.min.js $(CURDIR)/src/Resource_Files/javascript/jquery.scrollTo-2.1.2-min.js
 	dh_auto_configure -- \
 		-DUSE_SYSTEM_LIBS=1 \
-		-DDISABLE_UPDATECHECK=1 \
+		-DDISABLE_UPDATE_CHECK=1 \
 		-DSYSTEM_LIBS_REQUIRED=1 \
 		-DINSTALL_BUNDLED_DICTS=0 \
 		-DINSTALL_HICOLOR_ICONS=1 \
