## sigil 1.9.10+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -58,7 +58,7 @@
 
 set( SIGIL_MAJOR_VERSION 1 )
 set( SIGIL_MINOR_VERSION 9 )
-set( SIGIL_REVISION_VERSION 2 )
+set( SIGIL_REVISION_VERSION 10 )
 set( SIGIL_FULL_VERSION ${SIGIL_MAJOR_VERSION}.${SIGIL_MINOR_VERSION}.${SIGIL_REVISION_VERSION} )
 
 if( UNIX AND NOT APPLE )
