=== debian/changelog ===
sigil (1.9.10+dfsg-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 18 Jun 2022 11:12:46 -0700

sigil (1.9.10+dfsg-1) unstable; urgency=medium

  * New upstream version 1.9.10+dfsg.
    https://github.com/Sigil-Ebook/Sigil/releases/tag/1.9.10
  * Bump Standards-Version to 4.6.1, no chnages needed.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 23 May 2022 17:27:35 +0200
