=== debian/control ===
--- 
+++ 
@@ -1,24 +1,24 @@
 Source: sigil
 Section: editors
 Priority: optional
-Maintainer: Mattia Rizzolo <mattia@debian.org>
-Build-Depends:
- cmake,
- debhelper-compat (= 13),
- dh-sequence-python3,
- libhunspell-dev,
- libjs-jquery,
- libjs-jquery-scrollto,
- libminizip-dev,
- libpcre2-dev,
- pkg-config,
- python3-dev,
- qtbase5-dev,
- qttools5-dev,
- qttools5-dev-tools,
- qtwebengine5-dev,
- zlib1g-dev,
-Standards-Version: 4.6.0
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Mattia Rizzolo <mattia@debian.org>
+Build-Depends: cmake,
+               debhelper-compat (= 13),
+               dh-sequence-python3,
+               libhunspell-dev,
+               libjs-jquery,
+               libjs-jquery-scrollto,
+               libminizip-dev,
+               libpcre2-dev,
+               pkg-config,
+               python3-dev,
+               qtbase5-dev,
+               qttools5-dev,
+               qttools5-dev-tools,
+               qtwebengine5-dev,
+               zlib1g-dev
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://sigil-ebook.com
 Vcs-Git: https://salsa.debian.org/debian/sigil.git
@@ -26,30 +26,28 @@
 
 Package: sigil
 Architecture: any
-Depends:
- libhunspell-dev,
- libjs-jquery-scrollto,
- libjs-mathjax,
- python3-dulwich,
- python3-lxml,
- sigil-data (= ${source:Version}),
- ${misc:Depends},
- ${python3:Depends},
- ${shlibs:Depends},
-Recommends:
- python3,
- python3-chardet,
- python3-css-parser,
- python3-cssselect,
- python3-cssutils,
- python3-html5lib,
- python3-pil,
- python3-pyqt5,
- python3-pyqtwebengine,
- python3-regex,
- python3-six,
-Suggests:
- pageedit,
+Depends: libhunspell-dev,
+         libjs-jquery-scrollto,
+         libjs-mathjax,
+         python3-dulwich,
+         python3-lxml,
+         sigil-data (= ${source:Version}),
+         ${misc:Depends},
+         ${python3:Depends},
+         ${shlibs:Depends},
+# the following are recommended by Debian, made explicit dependencies for MX
+            python3,
+            python3-chardet,
+            python3-css-parser,
+            python3-cssselect,
+            python3-cssutils,
+            python3-html5lib,
+            python3-pil,
+            python3-pyqt5,
+            python3-pyqtwebengine | python3-pyqt5.qtwebengine,
+            python3-regex,
+            python3-six
+Suggests: pageedit
 Description: multi-platform ebook editor
  Sigil is a free, open source, multi-platform ebook editor.
  It is designed to edit books in ePub format.
@@ -75,10 +73,8 @@
 Package: sigil-data
 Architecture: all
 Multi-Arch: foreign
-Depends:
- ${misc:Depends},
-Recommends:
- sigil (= ${source:Version}),
+Depends: ${misc:Depends}
+Recommends: sigil (= ${source:Version})
 Description: multi-platform ebook editor - data files
  Sigil is a free, open source, multi-platform ebook editor.
  It is designed to edit books in ePub format.
