## sigil 1.9.20%2Bdfsg

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -191,6 +191,14 @@
     Dialogs/Controls.h
     Dialogs/SearchEditorItemDelegate.cpp
     Dialogs/SearchEditorItemDelegate.h
+    Dialogs/CountsReport.cpp
+    Dialogs/CountsReport.h
+    Dialogs/DryRunReplace.cpp
+    Dialogs/DryRunReplace.h
+    Dialogs/ReplacementChooser.cpp
+    Dialogs/ReplacementChooser.h
+    Dialogs/StyledTextDelegate.cpp
+    Dialogs/StyledTextDelegate.h
     Dialogs/ClipEditor.cpp
     Dialogs/ClipEditor.h
     Dialogs/IndexEditor.cpp
@@ -398,13 +406,3 @@
     MiscEditors/IndexEntries.cpp
     MiscEditors/IndexEntries.h
     MiscEditors/IndexHTMLWriter.cpp
-    MiscEditors/IndexHTMLWriter.h
-    MiscEditors/SearchEditorTreeView.cpp
-    MiscEditors/SearchEditorTreeView.h
-    MiscEditors/SearchEditorModel.cpp
-    MiscEditors/SearchEditorModel.h
-    )
-
-set( SPCRE_FILES
-    PCRE2/SPCRE.cpp
-    PCRE2/SPCRE.h
