## sigil 1.9.20+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -58,7 +58,7 @@
 
 set( SIGIL_MAJOR_VERSION 1 )
 set( SIGIL_MINOR_VERSION 9 )
-set( SIGIL_REVISION_VERSION 10 )
+set( SIGIL_REVISION_VERSION 20 )
 set( SIGIL_FULL_VERSION ${SIGIL_MAJOR_VERSION}.${SIGIL_MINOR_VERSION}.${SIGIL_REVISION_VERSION} )
 
 if( UNIX AND NOT APPLE )
@@ -82,6 +82,9 @@
    # which point to directories outside the build tree to the install RPATH.
    # This will ensure the Qt5 lib directory is always included after install.
    SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
+
+   # Because GCC's link time optimization is willfully choosing to suck.
+   add_compile_options(-fno-lto)
 endif()
 
 # Check if platform is 64 bit
