=== debian/changelog ===
sigil (1.9.20+dfsg-2) unstable; urgency=medium

  * Relax the requirement on sigil-data's version dependency to accomodate for
    binNMUs.  Closes: #1028107
  * Bump Standards-Version to 4.6.2, no changes needed.
  * Bump copyright years.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 10 Jan 2023 02:29:05 +0100

sigil (1.9.20+dfsg-1) unstable; urgency=medium

  * New upstream version 1.9.20+dfsg.
  * Stop excluding the embedded mathjax, now we need it as sigil requires
    MathJax 3.2.2+, which is nott packaged in Debian; see #950424.
  * Drop Depends on libjs-mathjax.
  * Add patch from upstream to fix build with python 3.11.
  * Update upstream signing key.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 05 Dec 2022 01:55:59 +0100
