=== debian/rules ===
--- 
+++ 
@@ -15,13 +15,9 @@
 		-DSYSTEM_LIBS_REQUIRED=1 \
 		-DINSTALL_BUNDLED_DICTS=0 \
 		-DINSTALL_HICOLOR_ICONS=1 \
-		-DMATHJAX_DIR=/usr/share/javascript/mathjax/ \
 
 execute_before_dh_install:
 	rm -v $(CURDIR)/debian/tmp/usr/share/sigil/plugin_launchers/python/sigil_bs4/COPYING.txt
 
 override_dh_python3:
 	dh_python3 --no-ext-rename
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
